package com.broadlink.nj.flutter.plugin.blaccount_flutter_plugin;

import android.util.Log;

/**
 * 项目名称：BLEControlAppV4    
 * 类名称：BLLogUtils
 * 类描述：  易控Log信息打印
 * 创建人：YeJing 
 * 创建时间：2015-3-24 下午4:26:57    
 * 修改人：Administrator    
 * 修改时间：2015-3-24 下午4:26:57    
 * 修改备注：    
 * @version     
 *
 */
public final class BLLogUtils {
    private final static String TAG = "BLLogUtils";
    private final static String BRAND = "ViFa_";
    
    /***是否打印Log Debug信息***/
    private static boolean DEBUG = true;
    
    /***是否打印 Info信息***/
    private static boolean INFO  = true;
    
    /***是否打印Log error信息***/
    private static boolean ERROR = true;
    
    /***是否打印Log warn信息***/
    private static boolean WARN  = true;

    /**
     * @param level
     *          0 关闭日志打印
     *          1 只打印debug日志
     *          2 打印 info debug 日志
     *          3 打印 debug info warn日志
     *          4 打印所有日志
     */
    public static void setLoggerLevel(int level){
        DEBUG = level >= 1;
        INFO = level >= 2;
        WARN = level >= 3;
        ERROR = level >= 4;
    }

    public static void d(String msg){
        d(TAG, msg);
    }

    public static void d(String tag, String msg){
        if(DEBUG) {
			Log.d(BRAND + tag, msg);}
    }

    public static void i(String msg){
        i(TAG, msg);
    }

    public static void i(String tag, String msg){
        if(INFO) {
			Log.i(BRAND + tag, msg);}
    }

    public static void e(String msg){
        e(TAG, msg);
    }

    public static void e(String tag, String msg){
        if(ERROR) {
			Log.e(BRAND + tag, msg);}
    }
    
    public static void e(String tag, String msg, Throwable tr){
        if(ERROR) {
			Log.e(tag, msg, tr);}
    }

    public static void w(String msg){
        w(TAG, msg);
    }

    public static void w(String tag, String msg){
        if(WARN) {
			Log.w(tag, msg);}
    }
    
}
